@import url('https://fonts.googleapis.com/css2?family=Josefin+Sans:ital,wght@0,100..700;1,100..700&display=swap');

*{
    margin: 0;
    padding: 0;
    /*font-family: "Josefin Sans", sans-serif;*/
    font-family: Arial, Helvetica, sans-serif;
}

::-webkit-scrollbar{
    display: none;
}

::-moz-scrollbar{
    display: none;
}

body{
    
    background: rgb(253, 251, 251);
    /*
    background-color: rgb(36, 36, 36);
    color: aliceblue;
    */
}

.menu {
    width: 100%;;
    display: flex;
    flex-wrap: wrap;
    height: 70px;
    justify-content: space-between;
    align-items: center;
    background: black;
}

.menu ul {
    width: 100%;
    height: 100%;
    display: flex;
}

.logo{
    padding: 0.5rem;
    box-sizing: border-box;
}

.logo:hover{
    cursor: pointer;
}

.opciones{
    display: flex;
}

.opciones a{
    margin: 0 0.5rem;
    width: 40px;
    height: 30px;
    background: rgba(0, 0, 0, 0.3);
    border-radius: 50px;
}

.opciones img{
    margin: auto;
    opacity: 0.7;
    transition: all 500ms;
}

.opciones img:hover{
    cursor: pointer;
    opacity: 1;
    transition: all 500ms;
}

.search-main{
    display: flex;
}

.btn-microfono{
    margin: 0 0.8rem;
    padding: 0.5rem;
    border-radius: 50px;
    width: 40px;
    height: 40px;
    background-color: rgba(100, 98, 98, 0.6);
    border-style: none;
}

.btn-microfono:hover{
    cursor: pointer;
    background-color: rgba(100, 98, 98, 0.8);
}

.btn-microfono-animated{
    animation: microfono 1s infinite alternate;
}
/*
@keyframes microfono {
    0%{
        background-color: rgba(100, 98, 98, 0.8);
    }
    20%{
        background-color: rgba(100, 98, 98, 0.6);
    }
    40%{
        background-color: rgba(100, 98, 98, 0.8);
    }
    60%{
        background-color: rgba(100, 98, 98, 0.6);
    }
    80%{
        background-color: rgba(100, 98, 98, 0.8);
    }
    100%{
        background-color: rgba(100, 98, 98, 0.6);
    }
}*/

@keyframes microfono {
    0%{
        background-color: rgba(247, 11, 11, 0.8);
    }
    20%{
        background-color: rgba(100, 98, 98, 0.6);
    }
    40%{
        background-color: rgba(247, 11, 11, 0.8);
    }
    60%{
        background-color: rgba(100, 98, 98, 0.6);
    }
    80%{
        background-color: rgba(247, 11, 11, 0.8);
    }
    100%{
        background-color: rgba(100, 98, 98, 0.6);
    }
}

.search{
    position: relative;
}

.serach-words{
    position: absolute;
    display: none;
    top: 40px;
    width: 100%;
    height: 300px;
    border-radius: 10px;
    z-index: 200;
    overflow: scroll;
    background: linear-gradient(135deg, rgba(255,255,255,0.6), rgba(255,255,255,0.1));
    backdrop-filter: blur(10px);
    -webkit-backdrop-filter: blur(20px);
    box-shadow: rgba(100, 100, 111, 0.2) 0px 7px 29px 0px;
}

.serach-words nav ul{
    display: flex;
    justify-content: flex-start;
    flex-direction: column;
}

.serach-words nav ul li{
    border-bottom: 1px solid rgba(255,255,255,0.1);
    padding: 0;
    margin: 0;
    transition: all 500ms;
}

.serach-words nav ul li:hover{
    background: linear-gradient(rgba(255, 255, 255, 0.2),rgba(255, 255, 255, 0.1),rgba(255, 255, 255, 0.3));
    transition: all 500ms;
}

.serach-words nav ul li a{
    background: none;
    display: flex;
    border-bottom: 1px solid rgba(255,255,255,0.1);
    width: 100%;
    color: rgb(20, 19, 19);
    border-radius: 0;
}

.serach-words nav ul li a:hover{
    background: none;
    color: rgb(74, 70, 70);
}

.search label{
    font-family: sans-serif;
    font-weight: bold;
}

.search input{
    border-radius: 16px;
    width: 500px;
    height: 34px;
    padding: 1px 4px;
    border-style: solid;
    border-color: rgba(1, 1, 1, 0.8);
}

.search-clear-button{
    height: 35px;
    width: 35px;
    position: absolute;
    top: 3px;
    right: 40px;
    border-radius: 50px;
    border-style: none;
    background: none;
    display: none;
}

.search-clear-button:hover{
    cursor: pointer;
    opacity: 0.8;
}

.search-button{
    height: 36px;
    width: 40px;
    position: absolute;
    top: 2px;
    right: 1px;
    border-style: none;
    border-radius: 0 15px 15px 0;
    /*background: rgb(233, 237, 238);*/
    background: rgb(242, 245, 245);
}

.search-button:hover{
    cursor: pointer;
}

.menu ul li {
    list-style: none;
    padding: 1rem;
}

.menu ul li a{
    text-decoration: none;
    color: white;
    background: rgb(224, 6, 100);
    padding: 0.8rem;
    border-radius: 10px;
    text-shadow: 1px black;
    box-shadow: 0 2px rgba(255, 251, 252,0.1);
}

.menu ul li a:active{
    box-shadow: 0 1px rgba(255, 251, 252,0.1);    
}

.menu ul li a:hover{
    background: rgb(235, 28, 118);
    transition: cubic-bezier(0.075, 0.82, 0.165, 1);
    cursor: pointer;
}

.menu{
    position: fixed;
    z-index: 100;
}

/** Fin menu **/

/** Space **/
.space{
    width: 100%;
    height: 70px;
}
/** Fin space **/

.notificacion-email{
    transform: scale(1);
    animation: email 1s;
}

@keyframes email {
    from{
        transform: scale(0);
    }to{
        transform: scale(1);
    }
}

.notificacion-camp{
    transform: rotate(0deg);
    animation: campana 1s;
}

@keyframes campana {
    0%{
        transform: rotate(0deg);
    }
    10%{
        transform: rotate(45deg);
    }
    20%{
        transform: rotate(-45deg);
    }
    30%{
        transform: rotate(45deg);
    }
    40%{
        transform: rotate(-45deg);
    }50%{
        transform: rotate(45deg);
    }
    60%{
        transform: rotate(-45deg);
    }
    70%{
        transform: rotate(45deg);
    }
    80%{
        transform: rotate(-45deg);
    }
    90%{
        transform: rotate(45deg);
    }
    100%{
        transform: rotate(0deg);
    }
}